import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import {feature} from 'topojson';

const jsonUrl =
  'https://gist.githubusercontent.com/wenleicao/296b74bc0269758ef1e010e323f0d6e6/raw/Massachusetts_geo.json';

export const useMassGeo = () => {
  const [data, setData] = useState(null);
  
  console.log(data);

  useEffect(() => {
        json(jsonUrl).then(topojsonData => {
          const {ma} = topojsonData.objects;
          setData(feature(topojsonData, ma));
        //setData(topojsonData );
        });
  }, []);
  
  return data;
};


